LOCALE(1)

NOM
locale - Obtenir des informations sur les paramètres régionaux

SYNOPSIS
locale [option]
locale [option] -a
locale [option] -m
locale [option] nom...

DESCRIPTION
La commande locale affiche des informations sur la localisation (NdT : la localisation est aussi appelée paramètres régionaux, ou « locale » en anglais) en cours ou pour toutes les localisations, sur la sortie standard.

Appelée sans paramètre, locale affiche les définitions en cours de chaque catégorie des paramètres régionaux (voir locale(5)), en fonction des variables d'environnement contrôlant la localisation (voir locale(7)). Les valeurs des variables définies dans l'environnement sont affichées sans double-guillemets, les valeurs implicites sont affichées avec.

Si l'option -a ou -m (ou leur équivalent sous forme longue) est indiquée, le comportement suivi est le suivant :

-a, --all-locales
    Afficher la liste de toutes les localisations disponibles. L'option -v permet d'afficher les métadonnées LC_IDENTIFICATION de chaque locale.

-m, --charmaps
    Afficher les tables de caractères disponibles (fichiers de description de jeux de caractères). Pour afficher le jeu de caractères actuel pour vos paramètres régionaux, utilisez locale -c charmap.

La commande locale peut être appelée avec un ou plusieurs paramètres qui sont les mots-clés d'une localisation (par exemple date_fmt, ctype-class-names, yesexpr ou decimal_point) ou les catégories d'une localisation (par exemple LC_CTYPE ou LC_TIME). Pour chaque paramètre est affiché :

*   Pour un mot-clé de localisation, la valeur de ce mot-clé est affichée.

*   Pour une catégorie de localisation, les valeurs des mots-clés dans cette catégorie sont affichées.

Lorsque des paramètres sont fournis, les options suivantes sont applicables :

-c, --category-name
    Si le paramètre est un nom de catégorie, afficher le nom de la catégorie sur une ligne distincte avant la liste des mots-clés de cette catégorie.

    Si le paramètre est un mot-clé, afficher le nom de la catégorie de ce mot-clé sur une ligne distincte avant la valeur du mot-clé.

    Cette option améliore la lisibilité lorsque plusieurs paramètres sont indiqués. Elle peut être combinée avec l'option -k.

-k, --keyword-name
    Pour chaque mot-clé à afficher, inclure également le nom du mot-clé sous la forme suivante :

        mot-clé="valeur"

La commande locale reconnaît aussi les options suivantes :

-v, --verbose
    Afficher des informations supplémentaires sur les options et paramètres de la ligne de commande.

-?, --help
    Afficher un résumé des options et paramètres de la ligne de commande, puis terminer.

--usage
    Afficher un court message d'aide et terminer.

-V, --version
    Afficher la version du programme et terminer.

FICHIERS

/usr/lib/locale/locale-archive
    Chemin habituel par défaut de l'archive des paramètres régionaux.

/usr/share/i18n/locales
    Chemin par défaut habituel des fichiers de définition de paramètres régionaux.

CONFORMITÉ
POSIX.1-2001, POSIX.1-2008.

EXEMPLES
    $ locale
    LANG=fr_FR.UTF-8
    LC_CTYPE="fr_FR.UTF-8"
    LC_NUMERIC="fr_FR.UTF-8"
    LC_TIME="fr_FR.UTF-8"
    LC_COLLATE="fr_FR.UTF-8"
    LC_MONETARY="fr_FR.UTF-8"
    LC_MESSAGES="fr_FR.UTF-8"
    LC_PAPER="fr_FR.UTF-8"
    LC_NAME="fr_FR.UTF-8"
    LC_ADDRESS="fr_FR.UTF-8"
    LC_TELEPHONE="fr_FR.UTF-8"
    LC_MEASUREMENT="fr_FR.UTF-8"
    LC_IDENTIFICATION="fr_FR.UTF-8"
    LC_ALL=
    $ locale date_fmt
    %A %-e %B %Y, %H:%M:%S (UTC%z)
    $ locale -k date_fmt
    date_fmt="%A %-e %B %Y, %H:%M:%S (UTC%z)"
    $ locale -ck date_fmt
    LC_TIME
    date_fmt="%A %-e %B %Y, %H:%M:%S (UTC%z)"
    $ locale LC_TELEPHONE
    +%c (%a) %l
    (%a) %l
    11
    1
    UTF-8
    $ locale -k LC_TELEPHONE
    tel_int_fmt="+%c (%a) %l"
    tel_dom_fmt="(%a) %l"
    int_select="11"
    int_prefix="1"
    telephone-codeset="UTF-8"

L'exemple ci-dessous compile avec l'outil localedef(1) des paramètres régionaux personnalisés à partir des fichiers se trouvant dans le répertoire ./wrk. Les paramètres compilés sont stockés dans le répertoire $HOME/.locale, puis le résultat est testé avec la commande date(1), et enfin les variables d'environnement LOCPATH et LANG sont positionnées dans le fichier d'initialisation de l'interpréteur de commandes afin que ces paramètres régionaux personnalisés soient disponibles dans les sessions ultérieures :

    $ mkdir -p $HOME/.locale
    $ I18NPATH=./wrk/ localedef -f UTF-8 -i fi_SE $HOME/.locale/fi_SE.UTF-8
    $ LOCPATH=$HOME/.locale LC_ALL=fi_SE.UTF-8 date
    $ echo "export LOCPATH=\$HOME/.locale" >> $HOME/.bashrc
    $ echo "export LANG=fi_SE.UTF-8" >> $HOME/.bashrc

VOIR AUSSI
localedef(1), charmap(5), locale(5), locale(7)

COLOPHON
Cette page fait partie de la publication 5.13 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies et la dernière version de cette page peuvent être trouvées à l'adresse https://www.kernel.org/doc/man-pages/.

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.